Package de.tudresden.sumo.objects

## Class SumoTLSController

- java.lang.Object
- - de.tudresden.sumo.objects.SumoTLSController

- All Implemented Interfaces:
    `SumoObject`
  Direct Known Subclasses:
    `SumoTLSController`

      public class SumoTLSController
      extends Object
      implements SumoObject

  Author:
    Mario Krumnow

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `HashMap<String,​SumoTLSProgram>` | `programs` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoTLSController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addProgram​(SumoTLSProgram logic)` |
    `SumoTLSProgram` | `get​(String prog_name)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### programs

          public HashMap<String,​SumoTLSProgram> programs

  - ### Constructor Detail

    - #### SumoTLSController

          public SumoTLSController()

  - ### Method Detail

    - #### addProgram

          public void addProgram​(SumoTLSProgram logic)

    - #### get

          public SumoTLSProgram get​(String prog_name)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`